com.holonplatform.vaadin.flow.spring.boot.internal

## Class LocalizationContextInitializer

- java.lang.Object
- - com.holonplatform.vaadin.flow.spring.boot.internal.AbstractInitializer
  - - com.holonplatform.vaadin.flow.spring.boot.internal.LocalizationContextInitializer

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanFactoryAware, org.springframework.context.annotation.ImportBeanDefinitionRegistrar

      public class LocalizationContextInitializer
      extends AbstractInitializer
      implements org.springframework.context.annotation.ImportBeanDefinitionRegistrar, org.springframework.beans.factory.BeanFactoryAware

  A bean definition registrar to provide `LocalizationContext` beans localization initialization using the session or UI `Locale`, according to the `LocalizationContext` bean scope.
  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalizationContextInitializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata importingClassMetadata, org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
    `void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalizationContextInitializer

          public LocalizationContextInitializer()

  - ### Method Detail

    - #### setBeanFactory

          public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)
                              throws org.springframework.beans.BeansException

      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### registerBeanDefinitions

          public void registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata importingClassMetadata,
                                              org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

      Specified by:
        `registerBeanDefinitions` in interface `org.springframework.context.annotation.ImportBeanDefinitionRegistrar`

Copyright © 2019 The Holon Platform. All rights reserved.